4 commits - ucs/conffiles ucs/debian ucs/kolab-imap-join-script.sh ucs/kolab-ucs-join-script.sh ucs/kolab-ucs-passwd-change.sh

Christoph Wickert wickert at kolabsys.com
Fri Feb 27 11:28:54 CET 2015


 ucs/conffiles/etc/ldap/slapd.conf.d/20kolab3_schema               |   13 -
 ucs/conffiles/etc/ldap/slapd.conf.d/66kolab3_self_write_attrs_acl |   42 ---
 ucs/conffiles/etc/roundcubemail/kolab_auth.inc.php                |   14 -
 ucs/debian/kolab-imap.preinst                                     |    2 
 ucs/debian/kolab-mta.preinst                                      |    1 
 ucs/debian/kolab-ucs.install                                      |    1 
 ucs/debian/kolab-ucs.postinst                                     |   23 -
 ucs/debian/kolab-ucs.preinst                                      |    1 
 ucs/debian/kolab-ucs.univention-config-registry                   |   11 
 ucs/kolab-imap-join-script.sh                                     |    2 
 ucs/kolab-ucs-join-script.sh                                      |  125 ++++------
 ucs/kolab-ucs-passwd-change.sh                                    |   38 ---
 12 files changed, 75 insertions(+), 198 deletions(-)

New commits:
commit 0004b76edeedb04587b528e8287ffb1c928ddc43
Author: Christoph Wickert <wickert at kolabsys.com>
Date:   Fri Feb 27 11:28:39 2015 +0100

    Apply (most of) Univention's LDAP patch #4350)

diff --git a/ucs/conffiles/etc/ldap/slapd.conf.d/20kolab3_schema b/ucs/conffiles/etc/ldap/slapd.conf.d/20kolab3_schema
deleted file mode 100644
index d7514db..0000000
--- a/ucs/conffiles/etc/ldap/slapd.conf.d/20kolab3_schema
+++ /dev/null
@@ -1,13 +0,0 @@
-@!@
-import os
-if os.path.exists('/usr/share/doc/kolab-schema/kolab3.schema'):
-    if os.path.exists('/etc/ldap/schema/'):
-        import shutil
-        shutil.copyfile('/usr/share/doc/kolab-schema/kolab3.schema','/etc/ldap/schema/kolab3.schema')
-        print "include /etc/ldap/schema/kolab3.schema"
-if os.path.exists('/usr/share/doc/kolab-schema/univention-kolab3-wrapper.schema'):
-    if os.path.exists('/etc/ldap/schema/'):
-        import shutil
-        shutil.copyfile('/usr/share/doc/kolab-schema/univention-kolab3-wrapper.schema','/etc/ldap/schema/univention-kolab3-wrapper.schema')
-        print "include /etc/ldap/schema/univention-kolab3-wrapper.schema"
-@!@
diff --git a/ucs/conffiles/etc/ldap/slapd.conf.d/66kolab3_self_write_attrs_acl b/ucs/conffiles/etc/ldap/slapd.conf.d/66kolab3_self_write_attrs_acl
deleted file mode 100644
index 07aabcb..0000000
--- a/ucs/conffiles/etc/ldap/slapd.conf.d/66kolab3_self_write_attrs_acl
+++ /dev/null
@@ -1,42 +0,0 @@
-@!@
-ldap_base=configRegistry.get('ldap/base')
-if configRegistry.get('ldap/server/type') == "master":
-        access="write"
-else:
-        access="read"
-
-ldap_base = configRegistry.get('ldap/base')
-
-attrs = []
-
-import os
-if os.path.exists('/etc/ldap/schema/kolab3.schema'):
-    attrs.extend(
-            [
-                    'kolabDelegate',
-                    'kolabForwardAddress',
-                    'kolabForwardKeepCopy',
-                    'kolabForwardUCE',
-                    'kolabVacationAddress',
-                    'kolabVacationReactDomain',
-                    'kolabVacationReplyToUCE',
-                    'kolabVacationResendInterval',
-                ]
-        )
-
-if os.path.exists('/etc/ldap/schema/univention-kolab3-wrapper.schema'):
-    attrs.extend(
-            [
-                    'univentionKolabForwardActive',
-                    'univentionKolabVacationText',
-                    'univentionKolabVacationNoReactDomain',
-                    'univentionKolabDeliveryToFolderName',
-                    'univentionKolabDeliveryToFolderActive',
-                ]
-        )
-
-print 'access to dn.sub="%(ldap_base)s" attrs="%(attrs)s"' % {'ldap_base': ldap_base, 'attrs': ','.join(attrs) }
-print '    by self write'
-print '    by * none break'
-
-@!@
diff --git a/ucs/debian/kolab-ucs.install b/ucs/debian/kolab-ucs.install
index 6ec5231..c71dda1 100644
--- a/ucs/debian/kolab-ucs.install
+++ b/ucs/debian/kolab-ucs.install
@@ -1,2 +1 @@
 65kolab-ucs.inst /usr/lib/univention-install
-kolab-ucs usr/lib/univention-server/server_password_change.d/
diff --git a/ucs/debian/kolab-ucs.postinst b/ucs/debian/kolab-ucs.postinst
index ac21103..610d5a5 100755
--- a/ucs/debian/kolab-ucs.postinst
+++ b/ucs/debian/kolab-ucs.postinst
@@ -33,6 +33,8 @@
 
 #DEBHELPER#
 
+. /usr/share/univention-lib/all.sh
+
 eval "$(ucr shell)"
 
 ucr set mail/antivir/spam?yes
@@ -44,18 +46,6 @@ elif [ -z "$2" ]; then
 	ucr set mail/cyrus/caluser/pwdfile?/etc/kolab2cal.secret
 fi
 
-if [ "$server_role" = "domaincontroller_master" -o "$server_role" = "domaincontroller_backup" ]; then
-	/usr/lib/univention-install/65kolab-ucs.inst || true
-	mail=`udm settings/usertemplate list --filter="cn=$domainname Groupware Account" | grep ' e-mail:' | sed 's/[^:]*: //;s/^None$//'`
-	shell=`udm settings/usertemplate list --filter="cn=$domainname Groupware Account" | grep ' shell:' | sed 's/[^:]*: //;s/^None$//'`
-	unixhome=`udm settings/usertemplate list --filter="cn=$domainname Groupware Account" | grep ' unixhome:' | sed 's/[^:]*: //;s/^\/home\/$//'`
-	if [ -z "$mail" -o -z "$shell" -o -z "$unixhome" ]; then
-		udm settings/usertemplate modify --dn "cn=$domainname Groupware Account,cn=templates,cn=univention,$ldap_base" --set univentionMailHomeServer="$hostname.$domainname" --set mailPrimaryAddress="<username>@$domainname" --set e-mail="<username>@$domainname" --set shell="/bin/bash" --set unixhome="/home/<username>"
-	fi
-	# remove old '$hostname.$domainname Groupware Account' template (#1606)
-	udm settings/usertemplate remove --dn "$hostname.$domainname Groupware Account,cn=templates,cn=univention,${ldap_base}" > /dev/null || true
-fi
-
 if [ ! -e "/etc/cyrus.secret" ]; then
     touch /etc/cyrus.secret
     chmod 600 /etc/cyrus.secret
@@ -63,15 +53,7 @@ if [ ! -e "/etc/cyrus.secret" ]; then
     makepasswd --nocrypt > /etc/cyrus.secret
 fi
 
-if [ "${server_role}" = "domaincontroller_master" ]; then
-    univention-directory-manager users/user create \
-        --set password=$(cat /etc/cyrus.secret) \
-        --set "username=cyrus-admin" \
-        --set "firstname=Cyrus" \
-        --set "lastname=Administrator" \
-        --set "objectFlag=functional" \
-        --position "cn=users,${ldap_base}"
-fi
+call_joinscript 65kolab-ucs.inst
 
 ucr commit /etc/apt/preferences.d/kolab.pref
 ucr commit /etc/apt/sources.list.d/kolab.list
diff --git a/ucs/debian/kolab-ucs.univention-config-registry b/ucs/debian/kolab-ucs.univention-config-registry
index 5d35cb7..4cfd97e 100644
--- a/ucs/debian/kolab-ucs.univention-config-registry
+++ b/ucs/debian/kolab-ucs.univention-config-registry
@@ -21,14 +21,3 @@ Variables: ldap/server/port
 User: listener
 Group: nogroup
 Mode: 640
-
-Type: multifile
-Multifile: etc/ldap/slapd.conf
-
-Type: subfile
-Multifile: etc/ldap/slapd.conf
-Subfile: etc/ldap/slapd.conf.d/20kolab3_schema
-
-Type: subfile
-Multifile: etc/ldap/slapd.conf
-Subfile: etc/ldap/slapd.conf.d/66kolab3_self_write_attrs_acl
diff --git a/ucs/kolab-ucs-join-script.sh b/ucs/kolab-ucs-join-script.sh
index fedd061..38d401b 100755
--- a/ucs/kolab-ucs-join-script.sh
+++ b/ucs/kolab-ucs-join-script.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-VERSION=2
+VERSION=3
 
 . /usr/share/univention-join/joinscripthelper.lib
 . /usr/share/univention-lib/all.sh
@@ -23,66 +23,55 @@ function addUserAttribute {
 
 eval "$(univention-config-registry shell)"
 
-if [ "${server_role}" == "domaincontroller_master" -o \
-        "${server_role}" == "domaincontroller_backup" -o \
-        "${server_role}" == "domaincontroller_slave" -o \
-        "${server_role}" == "memberserver" ]; then
+# Delete old service references
+echo -n "Removing legacy Kolab 2 service reference from LDAP ... "
+ucs_removeServiceFromLocalhost "kolab2" "$@"
 
-    # Delete old service references
-    echo -n "Removing legacy kolab2 service reference from LDAP ... "
-	udm settings/service remove \
-        --dn cn=kolab2,cn=services,cn=univention,${ldap_base} \
-        >/dev/null 2>&1 && echo "OK" || echo "FAIL"
+# Register Kolab service
+echo -n "Creating Kolab service in LDAP ... "
+ucs_addServiceToLocalhost "kolab" "$@"
 
-    echo -n "Creating kolab service in LDAP ... "
-	udm container/cn create \
-        --ignore_exists $@ \
-        --position cn=univention,${ldap_base} \
-        --set name=services >/dev/null 2>&1
+# Register LDAP schema extensions
+ucs_registerLDAPExtension "$@" \
+	--schema /usr/share/kolab/kolab3.schema
+ucs_registerLDAPExtension "$@" \
+	--schema /usr/share/kolab/univention-kolab3-wrapper.schema
+ucs_registerLDAPExtension "$@" \
+	--acl /usr/share/kolab/univention-kolab3.acl
 
-	udm settings/service create \
-        --ignore_exists $@ \
-        --position cn=services,cn=univention,${ldap_base} \
-        --set name=kolab \
-        >/dev/null 2>&1 && echo "OK" || echo "FAIL"
+# If there is no default kolab home server ...
+kolab_home=$(udm settings/default list "$@"
+	--filter='cn=default' 2>/dev/null \
+	| grep -i defaultUniventionMailHomeServer \
+	| sed -r 's/\s*defaultUniventionMailHomeServer: //')
 
-    echo -n "Appending service kolab ..."
-	udm computers/${server_role} modify \
-        $@ --dn ${ldap_hostdn} \
-        --remove service="kolab2" \
-        >/dev/null 2>&1
-
-	udm computers/${server_role} modify \
-        $@ --dn ${ldap_hostdn} \
-        --append service="kolab" \
-        >/dev/null 2>&1 && echo "OK" || echo "FAIL"
-
-	# if there is no default kolab home server ...
-	kolab_home=`udm settings/default list \
-        $@ --filter='cn=default' 2>/dev/null \
-        | grep -i defaultUniventionMailHomeServer \
-        | sed -r 's/\s*defaultUniventionMailHomeServer: //'`
+if [ "${kolab_home}" = "None" -o -z "${kolab_home}" ]; then
+	echo -n "Setting default groupware server ... "
+	udm settings/default modify "$@" \
+		--dn cn=default,cn=univention,${ldap_base} \
+		--set defaultUniventionMailHomeServer="${hostname}.${domainname}"
+fi
 
-	if [ "${kolab_home}" = "None" -o -z "${kolab_home}" ]; then
-        echo -n "Setting default groupware server ... "
-		udm settings/default modify \
-            $@ --dn cn=default,cn=univention,${ldap_base} \
-            --set defaultUniventionMailHomeServer="${hostname}.${domainname}" \
-            >/dev/null 2>&1 && echo "OK" || echo "FAIL"
-	fi
+# Create Groupware account template
+echo -n "Creating Groupware Account template ... "
+udm settings/usertemplate create "$@" --ignore_exists \
+	--position cn=templates,cn=univention,${ldap_base} \
+	--set name="${domainname} Groupware Account" \
+	--set univentionMailHomeServer="${hostname}.${domainname}" \
+	--set mailPrimaryAddress="<username>@${domainname}" \
+	--set e-mail="<username>@${domainname}" \
+	--set unixhome="/home/<username>"
 
-    echo -n "Creating Groupware Account template ... "
-	udm settings/usertemplate create \
-        $@ --ignore_exists \
-        --position cn=templates,cn=univention,${ldap_base} \
-        --set name="${domainname} Groupware Account" \
-        --set univentionMailHomeServer="${hostname}.${domainname}" \
-        --set mailPrimaryAddress="<username>@${domainname}" \
-        --set e-mail="<username>@${domainname}" \
-        --set unixhome="/home/<username>" \
-        >/dev/null 2>&1 && echo "OK" || echo "FAIL"
-fi
+mail=$(udm settings/usertemplate list "$@" --filter="cn=$domainname Groupware Account" | grep ' e-mail:' | sed 's/[^:]*: //;s/^None$//')
+shell=$(udm settings/usertemplate list "$@" --filter="cn=$domainname Groupware Account" | grep ' shell:' | sed 's/[^:]*: //;s/^None$//')
+unixhome=$(udm settings/usertemplate list "$@" --filter="cn=$domainname Groupware Account" | grep ' unixhome:' | sed 's/[^:]*: //;s/^\/home\/$//')
+if [ -z "$mail" -o -z "$shell" -o -z "$unixhome" ]; then
+	udm settings/usertemplate modify --dn "cn=$domainname Groupware Account,cn=templates,cn=univention,$ldap_base" --set univentionMailHomeServer="$hostname.$domainname" --set mailPrimaryAddress="<username>@$domainname" --set e-mail="<username>@$domainname" --set shell="/bin/bash" --set unixhome="/home/<username>"
+ fi
+# remove old '$hostname.$domainname Groupware Account' template (#1606)
+udm settings/usertemplate remove --dn "$hostname.$domainname Groupware Account,cn=templates,cn=univention,${ldap_base}" || true
 
+# Create mail domain
 echo -n "Creating mail domain ${domainname} ... "
 udm mail/domain create \
     $@ --ignore_exists \
@@ -90,17 +79,19 @@ udm mail/domain create \
     --position cn=domain,cn=mail,${ldap_base} \
     >/dev/null 2>&1 && echo "OK" || echo "FAIL"
 
-# The rest of this script only needs to be executed if we're on a system that has the UDM
-# installed.
-
-if [ -z "$(which udm 2>/dev/null)" ]; then
-    joinscript_save_current_version
-    exit 0
-fi
+# Create cyrus-admin user
+echo -n "Creating Cyrus Admin user ... "
+udm users/user create "$@" --ignore_exists \
+	--set password=$(cat /etc/cyrus.secret) \
+	--set "username=cyrus-admin" \
+	--set "firstname=Cyrus" \
+	--set "lastname=Administrator" \
+	--position "cn=users,${ldap_base}"
 
 ### Admin Settings
 # Forwards
 addUserAttribute KolabForwardAddress \
+	"$@" \
 	--set objectClass="kolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -117,6 +108,7 @@ addUserAttribute KolabForwardAddress \
 	--set ldapMapping=kolabForwardAddress
 
 addUserAttribute KolabForwardActive \
+	"$@" \
 	--set objectClass="univentionKolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -133,6 +125,7 @@ addUserAttribute KolabForwardActive \
 	--set ldapMapping=univentionKolabForwardActive
 
 addUserAttribute KolabForwardKeepCopy \
+	"$@" \
 	--set objectClass="kolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -149,6 +142,7 @@ addUserAttribute KolabForwardKeepCopy \
 	--set ldapMapping=kolabForwardKeepCopy
 
 addUserAttribute KolabForwardUCE \
+	"$@" \
 	--set objectClass="kolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -166,6 +160,7 @@ addUserAttribute KolabForwardUCE \
 
 # Vacation
 addUserAttribute KolabVacationText \
+	"$@" \
 	--set objectClass="univentionKolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -182,6 +177,7 @@ addUserAttribute KolabVacationText \
 	--set ldapMapping=univentionKolabVacationText
 
 addUserAttribute KolabVacationActive \
+	"$@" \
 	--set objectClass="univentionKolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -198,6 +194,7 @@ addUserAttribute KolabVacationActive \
 	--set ldapMapping=univentionKolabVacationActive
 
 addUserAttribute KolabVacationAddress \
+	"$@" \
 	--set objectClass="kolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -214,6 +211,7 @@ addUserAttribute KolabVacationAddress \
 	--set ldapMapping=kolabVacationAddress
 
 addUserAttribute KolabVacationNoReactDomain \
+	"$@" \
 	--set objectClass="univentionKolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -231,6 +229,7 @@ addUserAttribute KolabVacationNoReactDomain \
 
 # Delivery
 addUserAttribute KolabDeliveryToFolderName \
+	"$@" \
 	--set objectClass="univentionKolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -247,6 +246,7 @@ addUserAttribute KolabDeliveryToFolderName \
 	--set ldapMapping=univentionKolabDeliveryToFolderName
 
 addUserAttribute KolabDeliveryToFolderActive \
+	"$@" \
 	--set objectClass="univentionKolabInetOrgPerson" \
 	--append module="users/user" \
 	--append module="users/self" \
@@ -267,9 +267,6 @@ udm groups/group modify \
     --dn "cn=Domain Users,cn=groups,$ldap_base" \
     --policy-reference "cn=default-udm-self,cn=UMC,cn=policies,$ldap_base"
 
-# Redirect output for sometimes other dependencies have not been installed successfully
-test -x /etc/init.d/slapd && invoke-rc.d slapd restart >/dev/null 2>&1
-
 joinscript_save_current_version
 
 exit 0


commit f740e5a7373844534962337e78040d577817d4c1
Author: Christoph Wickert <wickert at kolabsys.com>
Date:   Fri Feb 27 10:53:24 2015 +0100

    Remove empty kolab-ucs-passwd-change.sh

diff --git a/ucs/kolab-ucs-passwd-change.sh b/ucs/kolab-ucs-passwd-change.sh
deleted file mode 100755
index 89c06d9..0000000
--- a/ucs/kolab-ucs-passwd-change.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/sh
-#
-# Kolab Systems Kolab 2 Framwork
-#   machine password hook script
-#
-# Copyright 2011-2012 Kolab Systems AG
-#
-# http://www.kolabsys.com/
-#
-# All rights reserved.
-#
-# The source code of this program is made available
-# under the terms of the GNU Affero General Public License version 3
-# (GNU AGPL V3) as published by the Free Software Foundation.
-#
-# Binary versions of this program provided by Univention to you as
-# well as other copyrighted, protected or trademarked materials like
-# Logos, graphics, fonts, specific documentations and configurations,
-# cryptographic keys etc. are subject to a license agreement between
-# you and Univention and not subject to the GNU AGPL V3.
-#
-# In the case you use this program under the terms of the GNU AGPL V3,
-# the program is provided in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU Affero General Public License for more details.
-#
-# You should have received a copy of the GNU Affero General Public
-# License with the Debian GNU/Linux or Univention distribution in file
-# /usr/share/common-licenses/AGPL-3; if not, see
-# <http://www.gnu.org/licenses/>.
-
-#if [ "$1" = "postchange" ] ; then
-#	ucr commit \
-#		/etc/kolab2/freebusy.conf \
-#		/etc/kolab2/resmgr.conf \
-#		/etc/horde/horde3/conf.d/20-kolab_ucs.php || :
-#fi


commit 5b4f0b7136ba2f78ea0083d76288bd11f19e5d25
Author: Christoph Wickert <wickert at kolabsys.com>
Date:   Tue Feb 10 17:52:34 2015 +0100

    Make sure we exclude cyrus-admin from the user list in every possible way (#4346)

diff --git a/ucs/debian/kolab-imap.preinst b/ucs/debian/kolab-imap.preinst
index 78fcda5..b218dcd 100755
--- a/ucs/debian/kolab-imap.preinst
+++ b/ucs/debian/kolab-imap.preinst
@@ -16,7 +16,7 @@ if [ "${server_role}" = "domaincontroller_master" ]; then
         --set "username=cyrus-admin" \
         --set "firstname=Cyrus" \
         --set "lastname=Administrator" \
-        --set "objectFlag=hidden" \
+        --set "objectFlag=functional" \
         --position "cn=users,${ldap_base}" >/dev/null 2>&1 || true
 fi
 
diff --git a/ucs/debian/kolab-mta.preinst b/ucs/debian/kolab-mta.preinst
index de1ce2a..c9844ba 100755
--- a/ucs/debian/kolab-mta.preinst
+++ b/ucs/debian/kolab-mta.preinst
@@ -22,6 +22,7 @@ if [ "${server_role}" = "domaincontroller_master" ]; then
         --set "username=cyrus-admin" \
         --set "firstname=Cyrus" \
         --set "lastname=Administrator" \
+        --set "objectFlag=functional" \
         --position "cn=users,${ldap_base}" >/dev/null 2>&1 || true
 fi
 
diff --git a/ucs/debian/kolab-ucs.postinst b/ucs/debian/kolab-ucs.postinst
index c429299..ac21103 100755
--- a/ucs/debian/kolab-ucs.postinst
+++ b/ucs/debian/kolab-ucs.postinst
@@ -69,6 +69,7 @@ if [ "${server_role}" = "domaincontroller_master" ]; then
         --set "username=cyrus-admin" \
         --set "firstname=Cyrus" \
         --set "lastname=Administrator" \
+        --set "objectFlag=functional" \
         --position "cn=users,${ldap_base}"
 fi
 
diff --git a/ucs/debian/kolab-ucs.preinst b/ucs/debian/kolab-ucs.preinst
index 0e410a7..b218dcd 100755
--- a/ucs/debian/kolab-ucs.preinst
+++ b/ucs/debian/kolab-ucs.preinst
@@ -16,6 +16,7 @@ if [ "${server_role}" = "domaincontroller_master" ]; then
         --set "username=cyrus-admin" \
         --set "firstname=Cyrus" \
         --set "lastname=Administrator" \
+        --set "objectFlag=functional" \
         --position "cn=users,${ldap_base}" >/dev/null 2>&1 || true
 fi
 
diff --git a/ucs/kolab-imap-join-script.sh b/ucs/kolab-imap-join-script.sh
index d9b5592..87a4d24 100755
--- a/ucs/kolab-imap-join-script.sh
+++ b/ucs/kolab-imap-join-script.sh
@@ -49,7 +49,7 @@ if [ "${server_role}" = "domaincontroller_master" ]; then
         --set "username=cyrus-admin" \
         --set "firstname=Cyrus" \
         --set "lastname=Administrator" \
-        --set "objectFlag=hidden" \
+        --set "objectFlag=functional" \
         --position "cn=users,${ldap_base}" \
         >/dev/null 2>&1 && echo "OK" || echo "FAIL"
 fi


commit 9a5ae7b499578b80e3dd27b600431a7e3e4e5903
Author: Christoph Wickert <wickert at kolabsys.com>
Date:   Tue Feb 10 12:17:10 2015 +0100

    Fix whitespace/indent error in kolab_auth.inc.php introduced in 7f4658ee (#4510)

diff --git a/ucs/conffiles/etc/roundcubemail/kolab_auth.inc.php b/ucs/conffiles/etc/roundcubemail/kolab_auth.inc.php
index a263832..0e5de78 100644
--- a/ucs/conffiles/etc/roundcubemail/kolab_auth.inc.php
+++ b/ucs/conffiles/etc/roundcubemail/kolab_auth.inc.php
@@ -12,13 +12,13 @@
         'user_specific'             => false,
         'base_dn'                   => '@%@ldap/base@%@',
         'bind_dn'                   => '@%@ldap/hostdn@%@',
-    @!@
-    import os
-    if os.path.exists('/etc/machine.secret'):
-     print "        'bind_pass'                 => '%s'," % (open('/etc/machine.secret','r').read().strip())
-    else:
-     print "        'bind_pass'                 => 'MACHINE.SECRET_IS_MISSING',"
-    @!@
+@!@
+import os
+if os.path.exists('/etc/machine.secret'):
+ print "        'bind_pass'                 => '%s'," % (open('/etc/machine.secret','r').read().strip())
+else:
+ print "        'bind_pass'                 => 'MACHINE.SECRET_IS_MISSING',"
+@!@
         'writable'                  => false,
         'ldap_version'              => 3,       // using LDAPv3
         'fieldmap'                  => Array(




More information about the commits mailing list